@Ken Freeland Rated 5 out of 5 stars

You should make sure to use the corresponding and compatible versions of Lightning and Gdata Provider. As I'm working with SeaMonkey (latest version 2.26 works fine with Lightning 3.1b1, Gdata Provider 0.30pre, and German language pack) I cannot tell you with versions you need. Could be helpful to look into the support forum:
https://groups.google.com/forum/#!forum/provider-for-google-calendar

And to look here:
https://addons.mozilla.org/de/thunderbird/addon/lightning/versions/ or here:
https://developer.mozilla.org/en-US/docs/Mozilla/Calendar/Calendar_Versions

HTH

Regards

Carsten

This review is for a previous version of the add-on (0.25).